Installing a component .dcu

Hi

I need to install a component on the palette in D4, but I only have a .dcu file from a 3rd party source.  When I try to install the component into an existing or new package, then click Compile I get an error saying it needs the .pas file.

Can I install with just a .dcu?
LVL 3
jdthedjAsked:
Who is Participating?
 
rwilson032697Connect With a Mentor Commented:
Only if the DCU has also been compiled with D4. If not you will need either the source file or a D4 compiled version of it.

Cheers,

Raymond.
0
 
jdthedjAuthor Commented:
Hi Raymond - thanks for replying.  Bit of a bother.  It's a D1 component, and the person who wrote it has not written a 32 bit version.

John
0
Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.

All Courses

From novice to tech pro — start learning today.